import { AdminReviewService } from "./review.service";
export declare class AdminReviewController {
    private readonly adminReviewService;
    constructor(adminReviewService: AdminReviewService);
    findAll(query: Record<string, string>): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/review/review.entity").Review[];
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/review/review.entity").Review;
    }>;
    updateStatus(id: number, body: any): Promise<{
        status: boolean;
        message: string;
    }>;
    remove(id: string): Promise<{
        status: boolean;
        message: string;
    }>;
}
